# very dumb makefile
#

# conservative assumption
CFLAGS=-Wall --pedantic --ansi -O2
# some % faster
#   CFLAGS=-Wall -Wpadded -O3 -march=pentium3 -ffast-math

LFLAGS=-lm


# default target
# 
it: info mng classify neighsize

info:
	@echo "Compiling. Stand by." && echo ""

# binary compilations
# 
mng:
	$(CC) $(CFLAGS) -o mng mng.c $(LFLAGS) 

classify:
	$(CC) $(CFLAGS) -o mngclassify mngclassify.c $(LFLAGS) 

neighsize:
	$(CC) $(CFLAGS) -o neighsize neighsize.c $(LFLAGS) 

# cleanups
#
cleanexe:
	rm -f mng mng.exe mngclassify mngclassify.exe neighsize neighsize.exe
 
cleandat:
	 rm -f *bauto*dat *bauto*bz2

clean:	cleanexe cleandat


# test suite
# 
ZCAT=gzip -d -c#

test: mng mngclassify neighsize
	sh tr_bauto.sh
